curl --fail-with-body -X GET "$RAWCHUNKS_API/api/songs/$(jq -nr --arg v "$ID" '$v|@uri')/stems"
{
"items": [
{
"id": "<string>",
"song_id": "<string>",
"name": "<string>",
"url": "<string>",
"volume": 123,
"pan": 123,
"is_muted": true,
"is_solo": true,
"waveform_peaks_url": {},
"created_at": "<string>"
}
]
}Songs and takes
List song stems
List stems for a readable song.
GET
/
api
/
songs
/
{id}
/
stems
curl --fail-with-body -X GET "$RAWCHUNKS_API/api/songs/$(jq -nr --arg v "$ID" '$v|@uri')/stems"
{
"items": [
{
"id": "<string>",
"song_id": "<string>",
"name": "<string>",
"url": "<string>",
"volume": 123,
"pan": 123,
"is_muted": true,
"is_solo": true,
"waveform_peaks_url": {},
"created_at": "<string>"
}
]
}Public song access or the private song owner’s header is required.
Headers and parameters
string
required
Resource ID.
Response (200)
Success.object[]
Errors
Failed JSON responses contain anerror string. Check the HTTP status before reading a successful result. See job handling for interrupted or uncertain submissions.
| Status | Meaning |
|---|---|
400 | Invalid request. |
500 | Request failed. |
curl --fail-with-body -X GET "$RAWCHUNKS_API/api/songs/$(jq -nr --arg v "$ID" '$v|@uri')/stems"
⌘I